{
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "",
    "title": "Railway",
    "version": "1",
    "x-aisa-capabilities": {
      "idempotency": "Idempotency-Key",
      "max_price": "X-AISA-Max-Price-USD",
      "quote": {
        "header": "X-AISA-Cost-Mode",
        "value": "quote"
      }
    },
    "x-aisa-catalogs": {
      "railway-com": {
        "description": "",
        "title": "Railway",
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          }
        },
        "x-aisa-document": {
          "facts_hash": "e4dfea50cc3b756078648532bffbd4560e291d203d619698f352bcaa321d33a1",
          "generator_version": "3",
          "protocol_version": "1",
          "schema_version": "1"
        },
        "x-aisa-plans": {
          "builder": 1.0,
          "display_plan": "payg",
          "payg": 1.0,
          "similarweb_payg": 1.0,
          "team": 1.0,
          "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
        }
      }
    },
    "x-aisa-configured-paths": [
      "/apis/v1/railway-com/developer-documentation/get-blog-post",
      "/apis/v1/railway-com/developer-documentation/get-changelog-entry",
      "/apis/v1/railway-com/developer-documentation/get-doc-page",
      "/apis/v1/railway-com/developer-documentation/get-incident",
      "/apis/v1/railway-com/developer-documentation/get-pricing",
      "/apis/v1/railway-com/developer-documentation/get-site-page",
      "/apis/v1/railway-com/developer-documentation/get-status",
      "/apis/v1/railway-com/developer-documentation/get-template",
      "/apis/v1/railway-com/developer-documentation/list-blog-posts",
      "/apis/v1/railway-com/developer-documentation/list-category-templates",
      "/apis/v1/railway-com/developer-documentation/list-changelog",
      "/apis/v1/railway-com/developer-documentation/list-docs",
      "/apis/v1/railway-com/developer-documentation/list-incidents",
      "/apis/v1/railway-com/developer-documentation/search-templates"
    ],
    "x-aisa-document": {
      "composer_version": "28",
      "document_hash": "sha256:2db33da4b9722f65a8384c339fdb556c5739ee92746dff05a1b8e8472f4c93c1",
      "facts_hash": "e4dfea50cc3b756078648532bffbd4560e291d203d619698f352bcaa321d33a1",
      "generator_version": "3",
      "protocol_version": "1",
      "response_pending": [],
      "schema_version": "1"
    },
    "x-aisa-plans": {
      "builder": 1.0,
      "display_plan": "payg",
      "payg": 1.0,
      "similarweb_payg": 1.0,
      "team": 1.0,
      "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
    },
    "x-aisa-provider": "railway-com"
  },
  "jsonSchemaDialect": "https://json-schema.org/draft/2020-12/schema",
  "openapi": "3.1.0",
  "paths": {
    "/apis/v1/railway-com/developer-documentation/get-blog-post": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "railway-com.developer-documentation.get-blog-post",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "slug": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "slug": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "slug": {}
                        },
                        "required": [
                          "slug"
                        ]
                      },
                      {
                        "properties": {
                          "url": {}
                        },
                        "required": [
                          "url"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "slug": {
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Get blog post",
        "tags": [
          "Railway"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "railway-com",
        "x-aisa-category": "data",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_slug",
                "selector": "/slug"
              },
              {
                "in": "body",
                "name": "option_url",
                "selector": "/url"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/railway-com/railway-com-developer-documentation-get-blog-post",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "b6f48b756968"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "railway-com.developer-documentation.get-blog-post",
          "path": "/apis/v1/railway-com/developer-documentation/get-blog-post"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/railway-com/developer-documentation/get-blog-post \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"slug\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/railway-com/developer-documentation/get-changelog-entry": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "railway-com.developer-documentation.get-changelog-entry",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "slug": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "slug": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "slug": {}
                        },
                        "required": [
                          "slug"
                        ]
                      },
                      {
                        "properties": {
                          "url": {}
                        },
                        "required": [
                          "url"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "slug": {
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Get changelog entry",
        "tags": [
          "Railway"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "railway-com",
        "x-aisa-category": "data",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_slug",
                "selector": "/slug"
              },
              {
                "in": "body",
                "name": "option_url",
                "selector": "/url"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/railway-com/railway-com-developer-documentation-get-changelog-entry",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "b915fca152f3"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "railway-com.developer-documentation.get-changelog-entry",
          "path": "/apis/v1/railway-com/developer-documentation/get-changelog-entry"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/railway-com/developer-documentation/get-changelog-entry \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"slug\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/railway-com/developer-documentation/get-doc-page": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "railway-com.developer-documentation.get-doc-page",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "path": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "path": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "path": {}
                        },
                        "required": [
                          "path"
                        ]
                      },
                      {
                        "properties": {
                          "url": {}
                        },
                        "required": [
                          "url"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "path": {
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Get doc page",
        "tags": [
          "Railway"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "railway-com",
        "x-aisa-category": "data",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_path",
                "selector": "/path"
              },
              {
                "in": "body",
                "name": "option_url",
                "selector": "/url"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/railway-com/railway-com-developer-documentation-get-doc-page",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "8ca70e27af67"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "railway-com.developer-documentation.get-doc-page",
          "path": "/apis/v1/railway-com/developer-documentation/get-doc-page"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/railway-com/developer-documentation/get-doc-page \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"path\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/railway-com/developer-documentation/get-incident": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "railway-com.developer-documentation.get-incident",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "slug": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "slug": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "slug": {}
                        },
                        "required": [
                          "slug"
                        ]
                      },
                      {
                        "properties": {
                          "url": {}
                        },
                        "required": [
                          "url"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "slug": {
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Get incident",
        "tags": [
          "Railway"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "railway-com",
        "x-aisa-category": "data",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_slug",
                "selector": "/slug"
              },
              {
                "in": "body",
                "name": "option_url",
                "selector": "/url"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/railway-com/railway-com-developer-documentation-get-incident",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "eccd9defd696"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "railway-com.developer-documentation.get-incident",
          "path": "/apis/v1/railway-com/developer-documentation/get-incident"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/railway-com/developer-documentation/get-incident \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"slug\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/railway-com/developer-documentation/get-pricing": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "railway-com.developer-documentation.get-pricing",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {}
                },
                "minimal": {
                  "value": {}
                }
              },
              "schema": {
                "additionalProperties": true,
                "type": "object"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Get pricing",
        "tags": [
          "Railway"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "railway-com",
        "x-aisa-category": "data",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/railway-com/railway-com-developer-documentation-get-pricing",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "aa763ece5407"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "railway-com.developer-documentation.get-pricing",
          "path": "/apis/v1/railway-com/developer-documentation/get-pricing"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/railway-com/developer-documentation/get-pricing \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{}'"
          }
        ]
      }
    },
    "/apis/v1/railway-com/developer-documentation/get-site-page": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "railway-com.developer-documentation.get-site-page",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "path": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "path": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "path": {}
                        },
                        "required": [
                          "path"
                        ]
                      },
                      {
                        "properties": {
                          "url": {}
                        },
                        "required": [
                          "url"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "path": {
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Get site page",
        "tags": [
          "Railway"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "railway-com",
        "x-aisa-category": "data",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_path",
                "selector": "/path"
              },
              {
                "in": "body",
                "name": "option_url",
                "selector": "/url"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/railway-com/railway-com-developer-documentation-get-site-page",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "633e2e5a2a83"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "railway-com.developer-documentation.get-site-page",
          "path": "/apis/v1/railway-com/developer-documentation/get-site-page"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/railway-com/developer-documentation/get-site-page \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"path\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/railway-com/developer-documentation/get-status": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "railway-com.developer-documentation.get-status",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {}
                },
                "minimal": {
                  "value": {}
                }
              },
              "schema": {
                "additionalProperties": true,
                "type": "object"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Get status",
        "tags": [
          "Railway"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "railway-com",
        "x-aisa-category": "data",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/railway-com/railway-com-developer-documentation-get-status",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "ef5923f8cf1b"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "railway-com.developer-documentation.get-status",
          "path": "/apis/v1/railway-com/developer-documentation/get-status"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/railway-com/developer-documentation/get-status \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{}'"
          }
        ]
      }
    },
    "/apis/v1/railway-com/developer-documentation/get-template": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "railway-com.developer-documentation.get-template",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "code": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "code": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "code": {}
                        },
                        "required": [
                          "code"
                        ]
                      },
                      {
                        "properties": {
                          "url": {}
                        },
                        "required": [
                          "url"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "code": {
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Get template",
        "tags": [
          "Railway"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "railway-com",
        "x-aisa-category": "data",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_code",
                "selector": "/code"
              },
              {
                "in": "body",
                "name": "option_url",
                "selector": "/url"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/railway-com/railway-com-developer-documentation-get-template",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "6007d8d5332b"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "railway-com.developer-documentation.get-template",
          "path": "/apis/v1/railway-com/developer-documentation/get-template"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/railway-com/developer-documentation/get-template \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"code\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/railway-com/developer-documentation/list-blog-posts": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "railway-com.developer-documentation.list-blog-posts",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {}
                },
                "minimal": {
                  "value": {}
                }
              },
              "schema": {
                "additionalProperties": true,
                "type": "object"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "List blog posts",
        "tags": [
          "Railway"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "railway-com",
        "x-aisa-category": "data",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/railway-com/railway-com-developer-documentation-list-blog-posts",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "a8e62f990d67"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "railway-com.developer-documentation.list-blog-posts",
          "path": "/apis/v1/railway-com/developer-documentation/list-blog-posts"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/railway-com/developer-documentation/list-blog-posts \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{}'"
          }
        ]
      }
    },
    "/apis/v1/railway-com/developer-documentation/list-category-templates": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "railway-com.developer-documentation.list-category-templates",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "category": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "category": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "category": {}
                        },
                        "required": [
                          "category"
                        ]
                      },
                      {
                        "properties": {
                          "url": {}
                        },
                        "required": [
                          "url"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "category": {
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "List category templates",
        "tags": [
          "Railway"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "railway-com",
        "x-aisa-category": "data",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_category",
                "selector": "/category"
              },
              {
                "in": "body",
                "name": "option_url",
                "selector": "/url"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/railway-com/railway-com-developer-documentation-list-category-templates",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "ebace71bb78b"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "railway-com.developer-documentation.list-category-templates",
          "path": "/apis/v1/railway-com/developer-documentation/list-category-templates"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/railway-com/developer-documentation/list-category-templates \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"category\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/railway-com/developer-documentation/list-changelog": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "railway-com.developer-documentation.list-changelog",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {}
                },
                "minimal": {
                  "value": {}
                }
              },
              "schema": {
                "additionalProperties": true,
                "type": "object"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "List changelog",
        "tags": [
          "Railway"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "railway-com",
        "x-aisa-category": "data",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/railway-com/railway-com-developer-documentation-list-changelog",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "8140a7a7d04f"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "railway-com.developer-documentation.list-changelog",
          "path": "/apis/v1/railway-com/developer-documentation/list-changelog"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/railway-com/developer-documentation/list-changelog \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{}'"
          }
        ]
      }
    },
    "/apis/v1/railway-com/developer-documentation/list-docs": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "railway-com.developer-documentation.list-docs",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {}
                },
                "minimal": {
                  "value": {}
                }
              },
              "schema": {
                "additionalProperties": true,
                "type": "object"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "List docs",
        "tags": [
          "Railway"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "railway-com",
        "x-aisa-category": "data",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/railway-com/railway-com-developer-documentation-list-docs",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "29301e9c8027"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "railway-com.developer-documentation.list-docs",
          "path": "/apis/v1/railway-com/developer-documentation/list-docs"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/railway-com/developer-documentation/list-docs \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{}'"
          }
        ]
      }
    },
    "/apis/v1/railway-com/developer-documentation/list-incidents": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "railway-com.developer-documentation.list-incidents",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {}
                },
                "minimal": {
                  "value": {}
                }
              },
              "schema": {
                "additionalProperties": true,
                "type": "object"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "List incidents",
        "tags": [
          "Railway"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "railway-com",
        "x-aisa-category": "data",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/railway-com/railway-com-developer-documentation-list-incidents",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "a54773c2da25"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "railway-com.developer-documentation.list-incidents",
          "path": "/apis/v1/railway-com/developer-documentation/list-incidents"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/railway-com/developer-documentation/list-incidents \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{}'"
          }
        ]
      }
    },
    "/apis/v1/railway-com/developer-documentation/search-templates": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "railway-com.developer-documentation.search-templates",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {}
                },
                "minimal": {
                  "value": {}
                }
              },
              "schema": {
                "additionalProperties": true,
                "type": "object"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Search templates",
        "tags": [
          "Railway"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "railway-com",
        "x-aisa-category": "data",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/railway-com/railway-com-developer-documentation-search-templates",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "b73401133130"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "railway-com.developer-documentation.search-templates",
          "path": "/apis/v1/railway-com/developer-documentation/search-templates"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/railway-com/developer-documentation/search-templates \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{}'"
          }
        ]
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://api.aisa.one"
    }
  ]
}
